# $Revision: 1.2 $, $Date: 2002/08/31 12:23:40 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Iterator
Summary:	File::Iterator -- iterating across files in a directory tree.
Summary(pl):	File::Iterator -- iteracja po plikach w drzewie katalogw
Name:		perl-File-Iterator
Version:	0.07
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Iterator wraps a simple iteration interface around the files
in a directory or directory tree. It builds a list of filenames, and
maintains a cursor that points to one particular filename. The user
can work through the filenames sequentially by doing stuff with the
filename that the cursor points to and then advancing the cursor to the
next filename in the list.

%description -l pl
File::iterator udostpnia prosty mechanizm iteracji po plikach w katalogu
lub drzewie katalogw.  Buduje list plikw, oraz udostpnia kursor,
wskazujcy na jeden konkretny plik.  Uytkownik moe pracowa z plikami
sekwencyjnie, robic swoje z plikiem, na ktry wskazuje kursor, po czym
przekierowujc go na kolejny plik z listy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Iterator.spec,v $
Revision 1.2  2002/08/31 12:23:40  radek
- version 0.07; warning: API has changed
STBR

Revision 1.1  2002/08/29 11:06:43  radek
- new, STBR

